cutoff=6.2;
nr=50000;
dr=cutoff/nr;
nrho=60000;
cutoffrho=200;
drho=cutoffrho/nrho;

fid = fopen('FeCr1.eam.fs','w+');
echo=['Source: Two-band modeling of alpha-prime phase formation in Fe-Cr \n 2 band model: d band \n wish ok, d band \n 2  Fe  Cr \n  ' num2str(nrho) ' ' num2str(drho) ' ' num2str(nr) ' ' num2str(dr) ' ' num2str(cutoff) ' \n 26   5.584500000000000E+0001   2.86100000000E+0000  bcc \n'];
fprintf(fid,echo);
fclose(fid);


xx1=[1:nr].';
xx2=[1:nrho].';
for i=1:nrho
    rho=drho*(i-1);
    frho=-sqrt(rho)-6.7314115586063e-4*rho^2+7.6514905604792e-8*rho^4;
    xx2(i)=frho;
end
save('FeCr1.eam.fs','xx2','-ascii','-double','-append');
%f(rho) for Fe

for i=1:nr
    r=dr*(i-1);
    rho=0;
    if (r<=2.4)
        rho=11.686859407970*(2.4-r)^3;
    end
    if (r<=3.2)
        rho=rho-0.01471074009883*(3.2-r)^3;
    end
    if (r<=4.2)
        rho=rho+0.47193527075943*(4.2-r)^3;
    end
    xx1(i)=rho;
end
save('FeCr1.eam.fs','xx1','-ascii','-double','-append');
%density for Fe-Fe

%xx1(:)=0;
save('FeCr1.eam.fs','xx1','-ascii','-double','-append');
%density for Fe-Cr


fid = fopen('FeCr1.eam.fs','a+');
fseek(fid,0,'eof');
echo=' 24   5.199620000000000E+0001   2.87800000000E+0000  bcc\n';
fprintf(fid,echo);
fclose(fid);

r0cr=2.878*sqrt(3)/2;
r0fe=2.861*sqrt(3)/2;
rr=[1:6];
nn=rr;
rr(1)=r0cr;
rr(2)=2.878;
rr(3)=sqrt(2)*rr(2);
%rr(4)=sqrt(3)*rr(2);
%rr(5)=sqrt(11)/2*rr(2);
%rr(6)=2*rr(2);
nn(1)=8;
nn(2)=6;
nn(3)=12;
%nn(4)=8;
%nn(5)=24;
%nn(6)=6;
rho0=0;
rho1=0;
for i=1:3
    r=rr(i);
    rho=0;
    if (r<=r0cr*1.284)
        rho=rho+0.013905*(r/r0cr-1.284)^3;
    end
    if (r<=r0cr*1.685)
        rho=rho-0.447541*(r/r0cr-1.685)^3;
    end
    rho0=rho0+rho*nn(i);
    rho=0;
    if (r<=2.4)
        rho=11.686859407970*(2.4-r)^3;
    end
    if (r<=3.2)
        rho=rho-0.01471074009883*(3.2-r)^3;
    end
    if (r<=4.2)
        rho=rho+0.47193527075943*(4.2-r)^3;
    end
    rho1=rho1+rho*nn(i);
end
mg=24/rho0;


for i=1:nrho
    rho=drho*(i-1);
    frho=-0.56479068371690508725*sqrt(rho)-0.00088958884101252343*rho^2+0.00000009026544740928*rho^4;
    xx2(i)=frho;
end
save('FeCr1.eam.fs','xx2','-ascii','-double','-append');
%f(rho) for Cr

for i=1:nr
    r=dr*(i-1);
    rho=0;
    if (r<=r0cr*0.963)
        rho=-11.0828*(r/r0cr-0.963)^3;
    end
    if (r<=r0cr*1.284)
        rho=rho+0.013905*(r/r0cr-1.284)^3;
    end
    if (r<=r0cr*1.685)
        rho=rho-0.447541*(r/r0cr-1.685)^3;
    end
    xx1(i)=rho*mg;
end
save('FeCr1.eam.fs','xx1','-ascii','-double','-append');
%density for Cr-Fe

for i=1:nr
    r=dr*(i-1);
    rho=0;
    if (r<=r0cr*0.963)
        rho=-11.0828*(r/r0cr-0.963)^3;
    end
    if (r<=r0cr*1.284)
        rho=rho+0.013905*(r/r0cr-1.284)^3;
    end
    if (r<=r0cr*1.685)
        rho=rho-0.447541*(r/r0cr-1.685)^3;
    end
    xx1(i)=rho*mg;
end
save('FeCr1.eam.fs','xx1','-ascii','-double','-append');
%density for Cr-Cr


rs=0.4683766/sqrt(2*26^(2/3.));
for i=1:nr
    phi=0;
    r=dr*(i-1);
    %x=r/rs;
    xi=0.1818*exp(-28.616724320005*r)+0.5099*exp(-8.4267310396064*r)+0.2802*exp(-3.6030244464156*r)+0.02817*exp(-1.8028536321603*r);
    if (r<=1.0) 
        phi=9734.2365892908*xi/r;
    end
    if (r>1.0 && r<=2.05)
        phi=exp(7.4122709384068-0.64180690713367*r- 2.6043547961722*r^2+0.6262539393123*r^3);
    end
    if (r>2.05 && r<=2.2)
        phi=phi- 27.444805994228*(2.2-r)^3;
    end
    if (r>2.05 && r<=2.3)
        phi=phi+ 15.738054058489*(2.3-r)^3;
    end
    if (r>2.05 && r<=2.4)
        phi=phi+ 2.2077118733936*(2.4-r)^3;
    end
    if (r>2.05 && r<=2.5)
        phi=phi- 2.4989799053251*(2.5-r)^3;
    end
    if (r>2.05 && r<=2.6)
        phi=phi+ 4.2099676494795*(2.6-r)^3;
    end
    if (r>2.05 && r<=2.7)
        phi=phi- 0.77361294129713*(2.7-r)^3;
    end
    if (r>2.05 && r<=2.8)
        phi=phi+ 0.80656414937789*(2.8-r)^3;
    end
    if (r>2.05 && r<=3.0)
        phi=phi- 2.3194358924605*(3.0-r)^3;
    end
    if (r>2.05 && r<=3.3)
        phi=phi+ 2.6577406128280*(3.3-r)^3;
    end
    if (r>2.05 && r<=3.7)
       phi=phi- 1.0260416933564*(3.7-r)^3;
    end
    if (r>2.05 && r<=4.2)
        phi=phi+ 0.35018615891957*(4.2-r)^3;
    end
    if (r>2.05 && r<=4.7)
        phi=phi- 0.058531821042271*(4.7-r)^3;
    end
    if (r>2.05 && r<=5.3)
        phi=phi- 0.0030458824556234*(5.3-r)^3;
    end
    phi=phi*r;
    xx1(i)=phi;
end
save('FeCr1.eam.fs','xx1','-ascii','-double','-append');
%pair for Fe-Fe

for i=1:nr
    r=dr*(i-1);
    phi=0;
    if (r<=r0fe*0.970)
        phi=phi-47.3*(r/r0fe-0.970)^3;
    end
    if (r<=r0fe*1.15)
        phi=phi-8.10*(r/r0fe-1.15)^3;
    end
    if (r<=r0fe*1.40)
        phi=phi-7.82*(r/r0fe-1.40)^3;
    end
    if (r<=r0fe*2.14)
        phi=phi+0.15*(r/r0fe-2.14)^3;
    end
    phi=phi*r;
    xx1(i)=phi;
end
save('FeCr1.eam.fs','xx1','-ascii','-double','-append');
%pair for Fe-Cr

for i=1:nr
    r=dr*(i-1);
    phi=0;
    if (r<=r0cr*0.976)
        phi=phi-165*(r/r0cr-0.976)^3;
    end
    if (r<=r0cr*1.15)
        phi=phi+78.49908*(r/r0cr-1.15)^3;
    end
    if (r<=r0cr*1.216)
        phi=phi-78.15495*(r/r0cr-1.216)^3;
    end
    if (r<=r0cr*1.65)
        phi=phi+1.8679553*(r/r0cr-1.65)^3;
    end
    phi=phi*r;
    xx1(i)=phi;
end
save('FeCr1.eam.fs','xx1','-ascii','-double','-append');
%pair for Cr-Cr
