cutoff=6.2;
nr=50000;
dr=cutoff/nr;
nrho=60000;
cutoffrho=200;
drho=cutoffrho/nrho;
mag=1e3;


fid = fopen('FeCr2.eam.fs','w+');
echo=['Source: Two-band modeling of alpha-prime phase formation in Fe-Cr \n 2 band model: s band \n wish ok, s band \n 2  Fe  Cr \n  ' num2str(nrho) ' ' num2str(drho) ' ' num2str(nr) ' ' num2str(dr) ' ' num2str(cutoff) ' \n 26   5.584500000000000E+0001   2.86100000000E+0000  bcc \n'];
fprintf(fid,echo);
fclose(fid);

xx1=[1:nr].';
xx2=[1:nrho].';
xx2(:)=0;
r0fe=2.861*sqrt(3)/2;
for i=1:nrho
    rho=drho*(i-1)/mag;
    frho=-0.503*sqrt(rho)-0.60*rho^2+0.50*rho^4;
    xx2(i)=frho;
end
save('FeCr2.eam.fs','xx2','-ascii','-double','-append');
%f(rho) for Fe
xx1(:)=0;
save('FeCr2.eam.fs','xx1','-ascii','-double','-append');
%density for Fe-Fe

for i=1:nr
    r=dr*(i-1);
    rho=(5.0*r^3*exp(-2.5*r))^2;
    xx1(i)=rho*mag;
end
save('FeCr2.eam.fs','xx1','-ascii','-double','-append');
%density for Fe-Cr


fid = fopen('FeCr2.eam.fs','a+');
fseek(fid,0,'eof');
echo=' 24   5.199620000000000E+0001   2.87800000000E+0000  bcc\n';
fprintf(fid,echo);
fclose(fid);

for i=1:nrho
    rho=drho*(i-1)/mag;
    frho=-0.503*sqrt(rho)-0.60*rho^2+0.50*rho^4;
    xx2(i)=frho;
end
save('FeCr2.eam.fs','xx2','-ascii','-double','-append');
%f(rho) for Cr

for i=1:nr
    r=dr*(i-1);
    rho=(5.0*r^3*exp(-2.5*r))^2;
    xx1(i)=rho*mag;
end
save('FeCr2.eam.fs','xx1','-ascii','-double','-append');
%density for Cr-Fe

xx1(:)=0;
save('FeCr2.eam.fs','xx1','-ascii','-double','-append');
%density for Cr-Cr

xx1(:)=0;
save('FeCr2.eam.fs','xx1','-ascii','-double','-append');
%pair for Fe-Fe

xx1(:)=0;
save('FeCr2.eam.fs','xx1','-ascii','-double','-append');
%pair for Fe-Cr

xx1(:)=0;
save('FeCr2.eam.fs','xx1','-ascii','-double','-append');
%pair for Cr-Cr
